NuGet Package Explorer v3.7

Rating:        Based on 20 ratings
Reviewed:  12 reviews
Downloads: 148885
Released: Oct 15, 2013
Updated: Oct 15, 2013 by dotnetjunky
Dev status: Stable Help Icon

Recommended Download

Application ClickOnce Installer
application, 1429K, uploaded Oct 15, 2013 - 148885 downloads

Release Notes

This is a NuGet package explorer tool which lets you view the metadata of a .nupkg package. After installing it, you can double click on .nupkg packages to open them in Package Explorer.

See for more info.

Reviews for this release

Very useful and simple to handle.
by haefele on Sep 25, 2013 at 3:15 PM
Exceptional tool that does what it's supposed to do.
by mwoffenden on Jul 9, 2013 at 5:43 PM
This is an excellent indepensible tool. I am ashamed to see all these low ratings because people don't understand what nuget.exe is. User ignorance != bad product.
by kerrykochmanski on Jul 3, 2013 at 6:13 PM
Way to go!
by NuGetter on Dec 30, 2012 at 9:12 AM
Perfect, must-have tool.
by xlegalles on Mar 14, 2012 at 11:24 AM
absolut perfect tool. it saves me a lot of my time :-)
by Holger1973 on Dec 22, 2011 at 10:31 AM
This tool is so helpful in validation of your package creation scripts instead of having to muck around with a 7zip and cracking open the meta data files manually.
by dotnetchris on Jun 9, 2011 at 4:04 PM
Really great tool to simplify working with NuGet packages. MUCH easier than mucking around in XML!
by jrnail23 on Apr 29, 2011 at 4:47 PM
Very useful, but too limited at this point. No way to open from custom feed, can't add folder - have to create each folder and then add files, no easy way to build latest from source code etc.
by rtur on Mar 28, 2011 at 7:35 PM
I don't see a way to specify a non-default Feed in NuGet Package Explorer.
by SEWilson on Feb 25, 2011 at 9:36 PM
Very good first release. I really missed such a feature, I was always renaming the packages to .zip and inspected them manually. With this version, you can even edit the packages. Next step is to drag/drop packages via a UI designer :)
by GeertvanHorrik on Feb 18, 2011 at 10:13 AM
The latest version needs .Net Framework 4.5. Can not run on Windows XP. :(
by rqx110 on Aug 19, 2013 at 7:35 AM